# Trio Medical Desktop Installation Configuration
# Customize these settings before running the installer

# Application Settings
app_name: "TrioMedical"
app_version: "latest"
app_download_url: "https://trio.bsx-group.com/releases/TrioMedical-linux-armv7l.AppImage"

# System Configuration (user will be auto-detected from current session)
default_user: ""
display_resolution: "1920x1080"
auto_login: true
enable_ssh: true
enable_vnc: true

# Hardware Interfaces
interfaces:
  i2c: true
  spi: true
  serial: true
  camera: false
  gpio: true

# Desktop Environment
desktop:
  environment: "lxde"
  auto_hide_cursor: true
  cursor_timeout: 1
  disable_screensaver: true
  kiosk_mode: true

# Performance Settings
gpu_memory_split: 128
enable_hardware_acceleration: true
disable_bluetooth: false
disable_wifi: false

# Application Launch Settings
launch:
  silent_mode: true
  auto_start: true
  restart_on_failure: true
  restart_delay: 5

# Backup Settings
backup:
  create_backup: true
  backup_location: "./backups"
  backup_retention_days: 30

# Logging
logging:
  enable_logging: true
  log_level: "INFO"
  log_file: "/tmp/trio_medical_install.log"
  rotate_logs: true
  max_log_size: "10MB"

# Network Settings (optional)
network:
  configure_static_ip: false
  static_ip: ""
  gateway: ""
  dns_servers: ["8.8.8.8", "8.8.4.4"]

# Security Settings
security:
  disable_unused_services: true
  update_packages: true
  install_firewall: false
  change_default_passwords: false
